<div class="chart" *ngIf="isReady">
  <canvas baseChart
    [datasets]="dataSets"
    [labels]="labels"
    [chartType]="type"
    [options]="options"
    [plugins]="plugins"
    [legend]="legend"
    (chartClick)="chartClicked($event)">
  </canvas>
</div>
